/*
 * generated by Xtext 2.16.0
 */
package org.xtext.ungs.drake.parser.antlr;

import com.google.inject.Inject;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.xtext.ungs.drake.parser.antlr.internal.InternalDrakeParser;
import org.xtext.ungs.drake.services.DrakeGrammarAccess;

public class DrakeParser extends AbstractAntlrParser {

	@Inject
	private DrakeGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalDrakeParser createParser(XtextTokenStream stream) {
		return new InternalDrakeParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Model";
	}

	public DrakeGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(DrakeGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
